## ros-iron-rmf-visualization-rviz2-plugins 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_visualization_rviz2_plugins)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(POLICY CMP0072)
  cmake_policy(SET CMP0072 NEW)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

# Qt5 boilerplate options from http://doc.qt.io/qt-5/cmake-manual.html
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rmf_door_msgs REQUIRED)
find_package(rmf_lift_msgs REQUIRED)
find_package(rmf_visualization_msgs REQUIRED)
find_package(rviz_common REQUIRED)
find_package(rviz_rendering REQUIRED)
find_package(rviz_default_plugins REQUIRED)
find_package(rmf_traffic_ros2 REQUIRED)
find_package(Qt5 REQUIRED COMPONENTS Widgets Test)

if(BUILD_TESTING)
  find_package(ament_cmake_uncrustify REQUIRED)
  find_package(rmf_utils REQUIRED)
  find_file(uncrustify_config_file
    NAMES "rmf_code_style.cfg"
    PATHS "${rmf_utils_DIR}/../../../share/rmf_utils/")

  ament_uncrustify(
    ARGN src
    CONFIG_FILE ${uncrustify_config_file}
    MAX_LINE_LENGTH 80
  )
endif()

add_definitions(-DQT_NO_KEYWORDS)

add_library(${PROJECT_NAME} SHARED
  src/SchedulePanel.cpp
  src/LiftPanel.cpp
  src/DoorPanel.cpp
  src/NegotiationModel.cpp
)

ament_target_dependencies(${PROJECT_NAME}
  PUBLIC
    rclcpp
    rmf_door_msgs
    rmf_lift_msgs
    rmf_visualization_msgs
    rmf_traffic_ros2
    rviz_common
    rviz_rendering
    rviz_default_plugins
)

target_link_libraries(${PROJECT_NAME}
  PUBLIC
    ${QT5_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
)

target_include_directories(${PROJECT_NAME}
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
    ${Qt5Widgets_INCLUDE_DIRS}
    ${QT5_INCLUDE_DIRS}
)

target_compile_definitions(${PROJECT_NAME} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
target_compile_definitions(${PROJECT_NAME} PRIVATE "RVIZ_DEFAULT_PLUGINS_BUILDING_LIBRARY")

pluginlib_export_plugin_description_file(rviz_common plugin_description.xml)

ament_export_include_directories(include)

ament_export_targets(${PROJECT_NAME} HAS_LIBRARY_TARGET)

ament_export_dependencies(
  Qt5
  rviz_common
  rclcpp
  Qt5Widgets
)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_package()

=== debian/changelog ===
ros-iron-rmf-visualization-rviz2-plugins (2.1.1-1jammy) jammy; urgency=high

  * Improve linking times (#63 <https://github.com/open-rmf/rmf_visualization/pull/63>)
  * Contributors: Grey, Luca Della Vedova, Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Sun, 10 Sep 2023 16:00:00 -0000

ros-iron-rmf-visualization-rviz2-plugins (2.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#57 <https://github.com/open-rmf/rmf_visualization/pull/57>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-visualization-rviz2-plugins (2.0.1-1jammy) jammy; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Mon, 14 Nov 2022 16:00:00 -0000

ros-iron-rmf-visualization-rviz2-plugins (2.0.0-1jammy) jammy; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-iron-rmf-visualization-rviz2-plugins (1.2.1-1jammy) jammy; urgency=high

  * Fix style checking in CI: (#37 <https://github.com/open-rmf/rmf_visualization/pull/37>)
  * Contributors: Grey

 -- Yadunund <yadunund@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-iron-rmf-visualization-rviz2-plugins (1.2.0-1jammy) jammy; urgency=high

  * Renamed package to rmf_visualization_rviz2_plugins: (#8 <https://github.com/open-rmf/rmf_visualization/pull/8>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 13 Jun 2021 16:00:00 -0000

ros-iron-rmf-visualization-rviz2-plugins (1.1.0-1jammy) jammy; urgency=high

  * Use relative library path for plugin: (#62 <https://github.com/osrf/rmf_schedule_visualizer/pull/62>)
  * Websocket server for negotiation visualizer (#69 <https://github.com/osrf/rmf_schedule_visualizer/pull/69>)
  * Foxy warning fix: Change deprecated ament_export_interfaces to ament_export_targets: (#74 <https://github.com/osrf/rmf_schedule_visualizer/pull/74>)
  * Contributors: Geoffrey Biggs, Michael X. Grey, ddengster

 -- Yadunund <yadunund@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

ros-iron-rmf-visualization-rviz2-plugins (1.0.0-1jammy) jammy; urgency=high

  * Provides the interactive Schedule Panel to update the active view of the visualizer with the map and time ranges of interest.
  * Provides the interactive Door Panel to manually request the opening and closing of doors in a building
  * Provides the interactive Lift Panel to manually request an elevator to a desired level in the building
  * Contributors: Aaron, Aaron Chong, Grey, Yadu

 -- Yadunund <yadunund@openrobotics.org>  Sun, 21 Jun 2020 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rmf-visualization-rviz2-plugins
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, qtbase5-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-uncrustify <!nocheck>, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-resource-retriever, ros-iron-rmf-door-msgs, ros-iron-rmf-lift-msgs, ros-iron-rmf-traffic-ros2, ros-iron-rmf-utils <!nocheck>, ros-iron-rmf-visualization-msgs, ros-iron-rviz-common, ros-iron-rviz-default-plugins, ros-iron-rviz-rendering, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-visualization-rviz2-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-resource-retriever, ros-iron-rmf-door-msgs, ros-iron-rmf-lift-msgs, ros-iron-rmf-traffic-ros2, ros-iron-rmf-visualization-msgs, ros-iron-rviz-common, ros-iron-rviz-default-plugins, ros-iron-rviz-rendering, ros-iron-ros-workspace
Description: A package containing RViz2 plugins for RMF

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rmf-visualization-rviz2-plugins//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
